#
# reduces count from caller item entity stack
#
# input
#	@s => item entity
#	[optional] score for player #afh_itemConsumeCount on objective afh >= 1
#
# output
#	score for player #afh_itemConsumedCount on objective afh is set to the amount consumed
#	score for player #afh_itemCount on objective afh is set to the amount remaining in the stack
#

# reset temp item count variables
scoreboard players reset #afh_itemCount afh

# if consume count is not set, initialize to 1
execute unless score #afh_itemConsumeCount afh matches 1.. run scoreboard players set #afh_itemConsumeCount afh 1

# get current item stack count
execute store result score #afh_itemCount afh run data get entity @s Item.Count

# reduce consume count if > available count
execute if score #afh_itemCount afh matches 1.. if score #afh_itemConsumeCount afh > #afh_itemCount afh run scoreboard players operation #afh_itemConsumeCount afh = #afh_itemCount afh

# calc new item stack count
execute if score #afh_itemCount afh matches 1.. run scoreboard players operation #afh_itemCount afh -= #afh_itemConsumeCount afh

# set the new item stack count
execute if score #afh_itemCount afh matches 0.. store result entity @s Item.Count byte 1 run scoreboard players get #afh_itemCount afh

# set the output variables values
execute if score #afh_itemCount afh matches 0.. run scoreboard players operation #afh_itemConsumedCount afh = #afh_itemConsumeCount afh
